Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get recipient counts per channel type for a specific broadcast.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/counts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
[ { "channel_type": "internal", "recipients_count": 123 } ]
Bearer token authentication using your API key
Broadcast ID
Page number
Number of items to take
Next page token (Only used on special endpoints)
Skip the total count: pagination-count is exact on the last page, and one more than the items so far while more pages exist (Only used on special endpoints)
The channel type
internal
org
agent
custom
whatsapp_bot
messenger_bot
instagram_dm
tiktok_dm
telegram_bot
slack_bot
teams_bot
gmail
outlook
twilio
telnyx
email
smpp
Was this page helpful?